### Virtual Method

# Gcr Importer import_async

#### Declaration [src]

    void
    import_async (
      GcrImporter* importer,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Import the queued items in the importer. This function returns immediately and completes asynchronously.

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.